Can't upgrade hassio from 3.12?

Tags: #<Tag:0x00007f7394be0e60> #<Tag:0x00007f7394be0d48> #<Tag:0x00007f7394be0c58>

Hi all,

Have dug around a lot on this and read various posts on reddit/this forum, but struggling to update Hassio.

I click the update button and it spins for maybe 10 minutes, then reboots and it’s the same version.

I’ve tried running the update from SSH and same thing - it works fine, just reboots and still same version.

I’ve checked the logs and can’t see any obvious errors, so struggling to bug fix this.

I’ve also stripped back the configuration.yaml file to barebones in case anything there was causing it, but no change.

Home assistant appears to be updating fine when I click update, it’s just hassio that fails to move!

Any help/suggestions much appreciated!

Just tried again and got the following log entry:

 (self._dns_host, self.port), self.timeout, **extra_kw
  File "/usr/local/lib/python3.7/site-packages/urllib3/util/connection.py", line 84, in create_connection
    raise err
  File "/usr/local/lib/python3.7/site-packages/urllib3/util/connection.py", line 74, in create_connection
    sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 677, in urlopen
    chunked=chunked,
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 381, in _make_request
    self._validate_conn(conn)
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 976, in _validate_conn
    conn.connect()
  File "/usr/local/lib/python3.7/site-packages/urllib3/connection.py", line 308, in connect
    conn = self._new_conn()
  File "/usr/local/lib/python3.7/site-packages/urllib3/connection.py", line 167, in _new_conn
    % (self.host, self.timeout),
urllib3.exceptions.ConnectTimeoutError: (<urllib3.connection.HTTPSConnection object at 0x6b9d3ab0>, 'Connection to 192.168.1.101 timed out. (connect timeout=10)')
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
    timeout=timeout
  File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 725, in urlopen
    method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
  File "/usr/local/lib/python3.7/site-packages/urllib3/util/retry.py", line 439, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='192.168.1.101', port=5001): Max retries exceeded with url: /webapi/query.cgi?api=SYNO.API.Info&version=1&method=query (Caused by ConnectTimeoutError(<urllib3.connection.HTTPSConnection object at 0x6b9d3ab0>, 'Connection to 192.168.1.101 timed out. (connect timeout=10)'))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/synology_dsm/synology_dsm.py", line 256, in _execute_request
    url, params=encoded_params, timeout=self._timeout, **kwargs
  File "/usr/local/lib/python3.7/site-packages/requests/sessions.py", line 543, in get
    return self.request('GET', url, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/requests/sessions.py", line 530, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/local/lib/python3.7/site-packages/requests/sessions.py", line 643, in send
    r = adapter.send(request, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/requests/adapters.py", line 504, in send
    raise ConnectTimeout(e, request=request)
requests.exceptions.ConnectTimeout: HTTPSConnectionPool(host='192.168.1.101', port=5001): Max retries exceeded with url: /webapi/query.cgi?api=SYNO.API.Info&version=1&method=query (Caused by ConnectTimeoutError(<urllib3.connection.HTTPSConnection object at 0x6b9d3ab0>, 'Connection to 192.168.1.101 timed out. (connect timeout=10)'))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/config_entries.py", line 220, in async_setup
    hass, self
  File "/usr/src/homeassistant/homeassistant/components/synology_dsm/__init__.py", line 161, in async_setup_entry
    await api.async_setup()
  File "/usr/src/homeassistant/homeassistant/components/synology_dsm/__init__.py", line 253, in async_setup
    await self._hass.async_add_executor_job(self._fetch_device_configuration)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/src/homeassistant/homeassistant/components/synology_dsm/__init__.py", line 311, in _fetch_device_configuration
    self.information = self.dsm.information
  File "/usr/local/lib/python3.7/site-packages/synology_dsm/synology_dsm.py", line 327, in information
    data = self.get(SynoDSMInformation.API_KEY, "getinfo")
  File "/usr/local/lib/python3.7/site-packages/synology_dsm/synology_dsm.py", line 179, in get
    return self._request("GET", api, method, params, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/synology_dsm/synology_dsm.py", line 193, in _request
    self.discover_apis()
  File "/usr/local/lib/python3.7/site-packages/synology_dsm/synology_dsm.py", line 114, in discover_apis
    self._apis = self.get(API_INFO, "query")["data"]
  File "/usr/local/lib/python3.7/site-packages/synology_dsm/synology_dsm.py", line 179, in get
    return self._request("GET", api, method, params, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/synology_dsm/synology_dsm.py", line 223, in _request
    response = self._execute_request(request_method, url, params=params, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/synology_dsm/synology_dsm.py", line 275, in _execute_request
    raise SynologyDSMRequestException(exp)
synology_dsm.exceptions.SynologyDSMRequestException: {'api': None, 'code': -1, 'reason': 'Unknown', 'details': "ConnectTimeout = (<urllib3.connection.HTTPSConnection object at 0x6b9d3ab0>, 'Connection to 192.168.1.101 timed out. (connect timeout=10)')"}
2020-07-14 15:58:56 ERROR (MainThread) [homeassistant.components.roku] Error fetching roku data: Invalid response from API: Error occurred while communicating with device
2020-07-14 15:58:56 WARNING (MainThread) [homeassistant.config_entries] Config entry for roku not ready yet. Retrying in 10 seconds.
2020-07-14 15:58:59 ERROR (MainThread) [homeassistant.components.roku] Error fetching roku data: Invalid response from API: Error occurred while communicating with device
2020-07-14 15:58:59 WARNING (MainThread) [homeassistant.config_entries] Config entry for roku not ready yet. Retrying in 10 seconds.
2020-07-14 15:58:59 ERROR (MainThread) [homeassistant.components.ipp] Error fetching ipp data: Invalid response from API: Error occurred while communicating with IPP server.
2020-07-14 15:58:59 WARNING (MainThread) [homeassistant.config_entries] Config entry for ipp not ready yet. Retrying in 10 seconds.
2020-07-14 15:59:07 ERROR (MainThread) [homeassistant.components.roku] Error fetching roku data: Invalid response from API: Error occurred while communicating with device
2020-07-14 15:59:07 WARNING (MainThread) [homeassistant.config_entries] Config entry for roku not ready yet. Retrying in 20 seconds.
2020-07-14 15:59:13 ERROR (MainThread) [homeassistant.components.ipp] Error fetching ipp data: Invalid response from API: Error occurred while communicating with IPP server.
2020-07-14 15:59:13 WARNING (MainThread) [homeassistant.config_entries] Config entry for ipp not ready yet. Retrying in 20 seconds.
2020-07-14 15:59:13 ERROR (MainThread) [homeassistant.components.roku] Error fetching roku data: Invalid response from API: Error occurred while communicating with device
2020-07-14 15:59:13 WARNING (MainThread) [homeassistant.config_entries] Config entry for roku not ready yet. Retrying in 20 seconds.
2020-07-14 15:59:28 ERROR (MainThread) [homeassistant.components.roku] Error fetching roku data: Invalid response from API: Error occurred while communicating with device
2020-07-14 15:59:28 WARNING (MainThread) [homeassistant.config_entries] Config entry for roku not ready yet. Retrying in 40 seconds.
2020-07-14 15:59:37 ERROR (MainThread) [homeassistant.components.roku] Error fetching roku data: Invalid response from API: Error occurred while communicating with device
2020-07-14 15:59:37 WARNING (MainThread) [homeassistant.config_entries] Config entry for roku not ready yet. Retrying in 40 seconds.
2020-07-14 15:59:37 ERROR (MainThread) [homeassistant.components.ipp] Error fetching ipp data: Invalid response from API: Error occurred while communicating with IPP server.
2020-07-14 15:59:37 WARNING (MainThread) [homeassistant.config_entries] Config entry for ipp not ready yet. Retrying in 40 seconds.
2020-07-14 16:00:09 ERROR (MainThread) [homeassistant.components.roku] Error fetching roku data: Invalid response from API: Error occurred while communicating with device
2020-07-14 16:00:09 WARNING (MainThread) [homeassistant.config_entries] Config entry for roku not ready yet. Retrying in 80 seconds.
2020-07-14 16:00:21 ERROR (MainThread) [homeassistant.components.ipp] Error fetching ipp data: Invalid response from API: Error occurred while communicating with IPP server.
2020-07-14 16:00:21 WARNING (MainThread) [homeassistant.config_entries] Config entry for ipp not ready yet. Retrying in 80 seconds.
2020-07-14 16:00:21 ERROR (MainThread) [homeassistant.components.roku] Error fetching roku data: Invalid response from API: Error occurred while communicating with device
2020-07-14 16:00:21 WARNING (MainThread) [homeassistant.config_entries] Config entry for roku not ready yet. Retrying in 80 seconds.

Think most of this relates to waiting for devices to reconnect etc, but don’t know if first first lines mean anything??